import request from '@/utils/request'

// 查询钱包列表
export function listAppWallet(query) {
  return request({
    url: '/model/AppWallet/list',
    method: 'get',
    params: query
  })
}

// 查询钱包详细
export function getAppWallet(id) {
  return request({
    url: '/model/AppWallet/' + id,
    method: 'get'
  })
}

// 新增钱包
export function addAppWallet(data) {
  return request({
    url: '/model/AppWallet',
    method: 'post',
    data: data
  })
}

// 修改钱包
export function updateAppWallet(data) {
  return request({
    url: '/model/AppWallet',
    method: 'put',
    data: data
  })
}

// 删除钱包
export function delAppWallet(id) {
  return request({
    url: '/model/AppWallet/' + id,
    method: 'delete'
  })
}
